+ function($) {

	var phoneNumber = "";

	var init = function() {
		var url = Utils.getBaseUrl("configure/findPhone.json"); // 查询 预约电话
		$.zajax(url, "", false, {
			succ: function(json) {
				phoneNumber = json.body.configValue; // 预约电话
			},
			fail: function(json) {

			}
		});
	}

	mui.plusReady(function() {
		//隐藏页面
		var hidePage  = function(){
			$(".do-showMenu").animate({left: "-55%"}, 300, function() {
				plus.webview.currentWebview().setStyle({left: '-100%'});
			});
		}

		// 点击 头像
		$(".do-userinfo-photo,.do-userinfo-name").on('tap', function() {
			hidePage();
			Utils.nav.next("/views/personal/personal.html");
		});

		// 点击 我的出行
		$(".icon-my-trip").parent().on('tap', function() {
			hidePage();
			Utils.nav.next("/views/personal/order-list.html");
		});

		// 点击 价格体系
		$(".icon-price-system").parent().on('tap', function() {
			hidePage();
			Utils.nav.next("/views/personal/price-system.html");
		});

		// 点击 关于我们
		$(".icon-about-me").parent().on('tap', function() {
			hidePage();
			Utils.nav.next("/views/personal/about-us.html");
		});

		// 点击蒙层侧滑菜单消失
		$(".do-backdrop").on('tap', function() {
			hidePage();
		});

		// 点击 预约电话
		$(".icon-bespeak-telephone").parent().on('tap', function() {
			if(!phoneNumber) {
				Utils.toast("暂无预约电话,请稍候再试!");
			} else {
				mui.confirm(phoneNumber, '预约电话', ["取消", "呼叫"], function(e) {
					if(e.index == 0) {} else {
						plus.device.dial(phoneNumber, false);
					}
				})
			}
		});

		init();

	})

}(jQuery);
var showMenu = function() {
	changeUserinfo();
	$(".do-showMenu").animate({left: "0"}, 300);
}

var changeUserinfo = function() {
	var loginUserinfo = loginUtils.getLoginUserinfo();
	if(loginUserinfo){
		var portrait = loginUserinfo.portrait;
		if(portrait){
			$(".do-userinfo-photo").css({'background-image':'url('+portrait+')'})
		}
		var realName = loginUserinfo.realName || loginUserinfo.phone;
		if(realName){
			$(".do-userinfo-name").html(realName);
		}
	}
}