+function($) {

	mui.plusReady(function() {
		var passParams = Utils.getPassParams();
		
		var $form = $("form[name=register]");
		
		//获取验证码
		$(".do-getCode").on("tap", function(e){
			e.stopPropagation();
			var me = $(this);
			if(me.hasClass("disabled")){
				return;
			}
			$form.find("input[name=phone]").zhhvalidate({
				tips: false,
				failFast: true
			}, function(e) {
				if(e.passed) {
					var url = Utils.getBaseUrl("actions/user/auth/register/send-sms-code.json");
					$.zajax(url, $form.serializeJson(), true, {
						succ: function(json) {
							Utils.toast("验证码发送成功！");
							thisUtils.setCodeSecond($(".do-getCode"), $(".do-second"));
						},
						fail: function(json) {
							
						}
					});
				} else {
					Utils.toast(e.text);
				}
			});
		});

		// 点击 注册
		$(".do-submit").on('tap', function() {
			$form.zhhvalidate({
				tips: false,
				failFast: true
			}, function(e) {
				if(e.passed) {
					var serializeJson = $form.serializeJson();
					if(serializeJson.password != serializeJson.passwordAgain){
						Utils.toast("两次密码输入不一致！");
						return;
					}
					if(passParams){
						serializeJson = $.extend(serializeJson, passParams);
					}
					
					var url = Utils.getBaseUrl("actions/user/auth/register/by-phone-third.json");
					$.zajax(url, serializeJson, true, {
						succ: function(json) {
							Utils.toast("注册成功！");
							Utils.nav.back();
						},
						fail: function(json) {
							
						}
					});
				} else {
					Utils.toast(e.text);
				}
			});
		});

	})

}(jQuery);