+ function($) {

	var orderId = $.getHashParams("orderId");
	var evaluateState = $.getHashParams("evaluateState"); // 评价状态:0.未评价|1.已评价(0.unevaluate|1.evaluated)
	
	var $form = $("form[name=evaluate]");

	// 创建评论
	var creatComment = function() {
		var param = $form.serializeJson();
		var url = Utils.getBaseUrl("comment/createComment.json");
		$(".do-submit").zajax(url, param, true, {
			succ: function(json) {
				Utils.toast("评价提交成功！");
				// 执行订单列表,订单详情页面  刷新方法
				Utils.nav.invoke("personal/order-detail", "refresh");
				Utils.nav.invoke("personal/order-list", "refresh");
				Utils.nav.back();
			}
		});
	}

	// 查找评论
	var findByOrderId = function() {
		var url = Utils.getBaseUrl("comment/findByOrderId.json");
		var param = {
			orderId: orderId
		};
		$.zajax(url, param, true, {
			succ: function(json) {
				$("textarea[name=evaluateContent]").val(json.body.evaluateContent);
				$(".do-timeliness").raty({
					readOnly: true,
					score: json.body.timeliness
				});
				$(".do-attitude").raty({
					readOnly: true,
					score: json.body.attitude, 
				});
				$(".do-specialty").raty({
					readOnly: true,
					score: json.body.specialty
				});
			}
		});
	}

	var init = function() {
		$("input[name=orderId]").val(orderId);
		if(evaluateState == "unevaluate") {	
			$(".do-submit").parent().removeClass("hide");
			$("textarea[name=evaluateContent]").removeAttr("readonly");
		} else {
			findByOrderId();
		}
	}

	mui.ready(function() {

		$.fn.raty.defaults.path = "../../assets/img/star/";
		$(".do-timeliness").raty({
			number: 5, //多少个星星设置
			score: 5, //初始值是设置
			targetType: 'hint', //类型选择，number是数字值，hint，是设置的数组值
			/*hints: ['差', '一般', '好', '非常好', '全五星'],*/
			/*target: '.timeliness-hint',*/
			cancel: false,
			targetKeep: true,
			targetText: '请选择评分',
			click: function(score, evt) {
				
				$("input[name=timeliness]").val(score);
			}
		});
		$(".do-attitude").raty({
			number: 5, //多少个星星设置
			score: 5, //初始值是设置
			targetType: 'hint', //类型选择，number是数字值，hint，是设置的数组值
			/*hints: ['差', '一般', '好', '非常好', '全五星'],
			target: '.service-attitude-hint',*/
			cancel: false,
			targetKeep: true,
			targetText: '请选择评分',
			click: function(score, evt) {
				
				$("input[name=attitude]").val(score);
			}
		});
		$(".do-specialty").raty({
			number: 5, //多少个星星设置
			score: 5, //初始值是设置
			targetType: 'hint', //类型选择，number是数字值，hint，是设置的数组值
			/*hints: ['差', '一般', '好', '非常好', '全五星'],
			target: '.professional-level-hint',*/
			cancel: false,
			targetKeep: true,
			targetText: '请选择评分',
			click: function(score, evt) {
				
				$("input[name=specialty]").val(score);
			}
		});

		// 点击 提交
		$(".do-submit").on("tap", function() {

			$form.zhhvalidate({
				tips: false,
				failFast: true
			}, function(e) {
				if(e.passed) {
					creatComment();
				} else {
					Utils.toast(e.text);
				}
			});
		});

		init();

	})

}(jQuery);