+ function($) {

	var orderId = $.getHashParams("orderId");
	orderId = orderId ? orderId : '01201708080004'; // TODO 测试

	var getDetail = function() {
		var url = Utils.getBaseUrl("orderInvoice/findInvoice.json"); // 根据订单id获取发票信息
		var param = {
			orderId: orderId
		};
		$.zajax(url, param, true, {
			succ: function(json) {
				var detail = json.body;
				// 发票类型:0.个人|1.公司(0.personal|1.company)
				var InvoiceType = json.extra.InvoiceType;
				$.each(InvoiceType, function() {
					if(this.key == detail.invoiceType) {
						detail.invoiceTypeValue = this.value;
					}
				});
				if(detail.invoiceType == "COMPANY") {
					$(".do-company").removeClass("hide");
				}
				// 发票状态:0.待开具|1.已开具|2.已快递|3.已送达(0.noissue|1.issued|2.expressed|3.deliveried)
				var InvoiceState = json.extra.InvoiceState;
				$.each(InvoiceState, function() {
					if(this.key == detail.invoiceState) {
						detail.invoiceStateValue = this.value;
					}
				});
				if(detail.invoiceState == "EXPRESSED" || detail.invoiceState == "DELIVERIED") {
					$(".do-express").removeClass("hide");
				}
				$(document.body).fillData(detail);
			},
			fail: function(json) {

			}
		});
	}

	var init = function() {
		getDetail();
	}

	mui.ready(function() {
		mui('.mui-scroll-wrapper').scroll({
			deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		});

		init();
	})

}(jQuery);