+ function($) {

	var orderId = "";

	var count = 3; // 倒计时 时间(秒)
	var countDownInterval; // 倒计时定时器
	var countDown = function() {
		count = $(".do-count").html().trim();
		if(count == 1) { // 倒计时结束
			$(".do-count").html("支付成功");
			clearInterval(countDownInterval);
			$("button").addClass("blue-button");
			var doDetail = $("button").get(0);
			$(doDetail).addClass("do-detail");
		} else {
			count--;
			$(".do-count").html(count);
		}
	}

	// 获取预约电话
	var getBespeakTelephone = function() {
		var url = Utils.getBaseUrl("configure/findPhone.json"); // 查询 预约电话
		$.zajax(url, "", false, {
			succ: function(json) {
				var phoneNumber = json.body.configValue; // 预约电话
				$(".do-bespeak-telephone").html(phoneNumber);
			},
			fail: function(json) {

			}
		});
	}

	// 获取订单出行时间,订单价格
	var getDetail = function() {
		var url = Utils.getBaseUrl("orderForm/findDetail.json"); // 根据id 查找订单  (包括 司机信息 是否完善信息)
		var param = {
			id: orderId
		};
		$.zajax(url, param, true, {
			succ: function(json) {
				var detail = json.body;
				detail.beginTime = Dates.format(detail.beginTime, 'yyyy-MM-dd HH:mm:ss');
				$(".do-beginTime").html(detail.beginTime);
				var orderPrice = detail.orderPrice.toFixed(2).toString();
				$(".do-price-before").html(orderPrice.split(".")[0]);
				$(".do-price-after").html(orderPrice.split(".")[1]);
			}
		});
	}

	// 随机获取 一条广告
	var findRandom = function() {
		var url = Utils.getBaseUrl("advertisement/findRandom.json"); // 随机获取 一条广告
		$.zajax(url, "", true, {
			succ: function(json) {
				var advertisement = json.body; // 广告
				$(".advertisement").css("background-image", "url(" + advertisement.photo + ")").data("link", advertisement.link);
			},
			fail: function(json) {

			}
		});
	}

	var findUploadTipByPay = function() {
		var url = Utils.getBaseUrl("configure/findUploadTipByPay.json"); // 获取 支付成功页面的提示上传图片提示
		$.zajax(url, "", true, {
			succ: function(json) {
				$(".tip-content").html(json.body.configValue);
			},
			fail: function(json) {

			}
		});
	}

	var init = function() {
		findRandom();
		findUploadTipByPay();
		getBespeakTelephone();
		getDetail();
	}

	mui.ready(function() {
		var passParams = $.getHashParams();
		orderId = passParams.orderId;
		orderId = orderId ? orderId : "01201708160003"; // TODO 测试

		countDownInterval = setInterval(countDown, 1000);

		// 点击 查看详情
		mui(".button-box").on('tap', ".do-detail", function(e) {
			Utils.nav.replace("/views/personal/order-detail.html", {
				orderId: orderId
			});
		});

		// 点击 返回首页
		mui(".button-box").on('tap', ".do-go-home", function(e) {
			Utils.nav.close("personal/order-list");
			Utils.nav.close("personal/order-detail");
			Utils.nav.back();
		});

		init();

	})

	mui.plusReady(function() {
		//关闭之前页面
		Utils.nav.close("personal/trip-information");
		Utils.nav.close("personal/trip-information-confirm");
		Utils.nav.close("personal/payment");

		// 点击 广告图片
		mui(".ad-box").on('tap', ".advertisement", function(e) {
			plus.runtime.openURL($(".advertisement").data("link"));
		});

	})

}(jQuery);