+ function($) {

	var $form = $("form[name=perfect]");
	var oldJinpoNum; // 进入页面 得到的 社保号
	var oldIdentity; // 进入页面 得到的 身份证号

	// 获取登录用户完善信息
	var findPerfectInfo = function() {
		var url = Utils.getBaseUrl("userExtra/findPerfectInfo.json");
		$.zajax(url, "", true, {
			succ: function(json) {
				var perfectInfo = json.body;
				oldJinpoNum = perfectInfo.jinpoNum;
				$("input[name=jinpoNum]").val(oldJinpoNum);
				oldIdentity = perfectInfo.options.extra.identity;
				$("input[name=identity]").val(oldIdentity);
			},
			fail: function(json) {
				Utils.toast(json && json.message || "网络异常，请稍后重试");
			}
		});
	}

	// 修改登录用户完善信息
	var updatePerfectInfo = function(param) {
		var url = Utils.getBaseUrl("userExtra/updatePerfectInfo.json");
		$(".do-submit").zajax(url, param, true, {
			succ: function(json) {
				/*Utils.toast("完善信息成功!");*/
				// 执行 订单详情页面 刷新
				Utils.nav.invoke("personal/order-detail", "refresh");
				Utils.nav.back();
			},
			fail: function(json) {
				Utils.toast(json && json.message || "网络异常，请稍后重试");
			}
		});
	}

	var init = function() {
		findPerfectInfo();
	}

	mui.ready(function() {

		// 点击 提交
		$(".do-submit").on('tap', function() {
			$form.zhhvalidate({
				tips: false,
				failFast: true
			}, function(e) {
				if(e.passed) {
					var param = $form.serializeJson();
					/*if(oldIdentity && !param.identity){
						Utils.toast("身份证号不能为空!");
						return;
					}
					if(oldJinpoNum && !param.jinpoNum){
						Utils.toast("社保证号不能为空!");
						return;
					}*/
					updatePerfectInfo(param);
				} else {
					Utils.toast(e.text);
				}
			});
		});

		init();

	})

}(jQuery);