+ function($) {

	var orderId = $.getHashParams("orderId");
	var orderPrice = 0;

	var getDetail = function() {
		var url = Utils.getBaseUrl("orderForm/find.json"); // 根据id 查找订单
		var param = {
			id: orderId
		};
		$.zajax(url, param, true, {
			succ: function(json) {
				var detail = json.body;
				detail.beginTime = Dates.format(detail.beginTime, 'yyyy-MM-dd HH:mm');
				$.each(json.extra.sickness, function() {
					if(this.id == detail.sicknessId) {
						detail.sicknessName = this.name;
					}
				});
				if(detail.escortType == "SHIP") { // 护送类型:0.运送|1.监护(0.ship|1.tutelagey)
					detail.escortTypeName = "运送";
					$(".do-isOrderlyNurse").parents(".mui-input-row").removeClass("hide"); // 护理员护理
					$(".do-stretcherNum").parents(".mui-input-row").removeClass("hide"); // 担架抬运

					$(".do-isOxygen").parents(".mui-input-row").addClass("hide"); // 是否吸氧
					$(".do-nurse").parents(".mui-input-row").addClass("hide"); // 医生、护士、护理员护理
				} else {
					detail.escortTypeName = "监护";
					$(".do-isOrderlyNurse").parents(".mui-input-row").addClass("hide"); // 护理员护理
					$(".do-stretcherNum").parents(".mui-input-row").addClass("hide"); // 担架抬运

					$(".do-isOxygen").parents(".mui-input-row").removeClass("hide"); // 是否吸氧
					$(".do-nurse").parents(".mui-input-row").removeClass("hide"); // 医生、护士、护理员护理
				}
				detail.stretcherNum = detail.stretcherNum + "人";
				detail.isOxygen == true ? detail.isOxygen = "是" : detail.isOxygen = "否";
				var nurse = [];
				if(detail.isDoctorNurse == true) {
					nurse.push("医生")
				}
				if(detail.isNurserNurse == true) {
					nurse.push("护士")
				}
				if(detail.isOrderlyNurse == true) {
					nurse.push("护理员")
				}
				detail.nurse = nurse.splice(",");
				detail.isOrderlyNurse == true ? detail.isOrderlyNurse = "是" : detail.isOrderlyNurse = "否";
				orderPrice = detail.orderPrice.toFixed(2);
				detail.orderPrice = orderPrice;
				$(document.body).fillData(detail);
			},
			fail: function(json) {
				
			}
		});
	}

	var init = function() {
		getDetail();
	}

	mui.ready(function() {
		mui(".mui-scroll-wrapper").scroll(); // 初始化滚动

		mui.init({
			beforeback: function() {
				//获得列表界面的webview
				var list = plus.webview.getWebviewById('personal/trip-information');
				//触发列表界面的自定义事件（getOrderId）,从而进行数据刷新
				
				mui.fire(list, 'getOrderId', {
					orderId: orderId
				});
				return true; //返回true，继续页面关闭逻辑
			}
		});

		// 点击 明细
		$(".price-detail").on("tap", function() {
			
			$(".mui-backdrop-other").removeClass("hide");
		})

		// 点击"蒙层"
		$(".mui-backdrop-other").on('tap', function(e) {
			e.stopPropagation();
			$(".mui-backdrop-other").addClass("hide");
		});
		$(".price-detail-box").on('tap', function(e) {
			e.stopPropagation();
		});

		// 点击 支付
		$(".do-submit").on('tap', function() {
			
			Utils.nav.next("/views/personal/payment.html",{
				orderId: orderId,
				orderPrice: orderPrice
			});
		});

		init();

	})

}(jQuery);