+function($) {

	mui.plusReady(function() {

		var $form = $("form[name=update]");
		
		// 点击 确定
		$(".do-submit").on('tap', function() {
			$form.zhhvalidate({
				tips: false,
				failFast: true
			}, function(e) {
				if(e.passed) {
					var serializeJson = $form.serializeJson();
					if(serializeJson.newPassword != serializeJson.passwordAgain){
						Utils.toast("两次新密码输入不一致！");
						return;
					}
					var url = Utils.getBaseUrl("actions/user/auth/password/update.json");
					$.zajax(url, serializeJson, true, {
						succ: function(json) {
							Utils.toast("修改密码成功！");
							var account = loginUtils.getLoginUserinfo().phone;
							loginUtils.autoLogin({
								ajaxParam:{account:account, password:serializeJson.newPassword}
							});
							Utils.nav.back();
						},
						fail: function(json) {
							
						}
					});
				} else {
					Utils.toast(e.text);
				}
			});
		});
	})

}(jQuery);